Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class CCPActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.CCPActionGroup

public class CCPActionGroup
extends ActionGroup

Action group that adds the copy, cut, paste actions to a view part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`CCPActionGroup(IViewPart part)` Creates a new `CCPActionGroup`.
`CCPActionGroup(Page page)` Creates a new `CCPActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBars)`
`void` | `fillContextMenu(IMenuManager menu)`
`IAction` | `getDeleteAction()` Returns the delete action managed by this action group.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCPActionGroup

    public CCPActionGroup(IViewPart part)

  Creates a new `CCPActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### CCPActionGroup

    public CCPActionGroup(Page page)

  Creates a new `CCPActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

Method Detail

### getDeleteAction

    public IAction getDeleteAction()

  Returns the delete action managed by this action group.

  Returns:
    the delete action. Returns `null` if the group doesn't provide any delete action

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.